summaryrefslogtreecommitdiffstats
path: root/libraries/tsocks/tsocks.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'libraries/tsocks/tsocks.SlackBuild')
-rw-r--r--libraries/tsocks/tsocks.SlackBuild10
1 files changed, 8 insertions, 2 deletions
diff --git a/libraries/tsocks/tsocks.SlackBuild b/libraries/tsocks/tsocks.SlackBuild
index 7b4f6ff42a..21473cebb4 100644
--- a/libraries/tsocks/tsocks.SlackBuild
+++ b/libraries/tsocks/tsocks.SlackBuild
@@ -25,7 +25,7 @@
PRGNAM=tsocks
VERSION=${VERSION:-1.8beta5}
SRCVERSION=${SRCVERSION:-1.8}
-BUILD=${BUILD:-1}
+BUILD=${BUILD:-2}
TAG=${TAG:-_SBo}
# Automatically determine the architecture we're building on:
@@ -43,7 +43,7 @@ TMP=${TMP:-/tmp/SBo}
PKG=$TMP/package-$PRGNAM
OUTPUT=${OUTPUT:-/tmp}
-DOCS="COPYING ChangeLog FAQ"
+DOCS="COPYING ChangeLog FAQ tsocks.conf.{simple,complex}.example"
if [ "$ARCH" = "i486" ]; then
SLKCFLAGS="-O2 -march=i486 -mtune=i686"
@@ -74,6 +74,10 @@ find . \
\( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
-exec chmod 644 {} \;
+if [ "$ARCH" = "x86_64" ]; then
+ patch -p1 --verbose < $CWD/tsocks-1.8beta5-64bit.diff || exit 1
+fi
+
CFLAGS="$SLKCFLAGS" \
CXXFLAGS="$SLKCFLAGS" \
./configure \
@@ -87,6 +91,8 @@ CXXFLAGS="$SLKCFLAGS" \
make
make install DESTDIR=$PKG
+install -m 0755 inspectsocks validateconf $PKG/usr/bin
+
find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
| cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true